Preview: Release Notes Sitevision 2026.01.1
This is a developer-centric release that contains infrastructure improvements and new API utilities to create text modules from markdown, render page content with parameters and use image data in the AI SDK.
Infrastructure
Improvements
- [SV-39497] Tomcat is updated to 9.0.112
- [SV-39414] Corretto Java is updated to 8.472.08.1
- [SV-39036] Use HSTS for domain redirects over https
- [SV-19693] [SV-12902] [SV-11904] Changed id for linked layouts to prevent "duplicated id" validation error when same layout is included multiple times on a page
- [SV-39246] Improved integration support for built-in forms. A form field can now be given an explicit identifier that can be used in versatile ways:
- The identifier will be exposed as the
fieldIdentifierproperty in the Public API - The identifier will show up in the HTML DOM for the field as the
data-field-identifierattribute - The identifier will be included in the payload of the
sv:form:postsystem event
- The identifier will be exposed as the
JCR Model (data/tree backend for Public API and REST API)
Improvements
- [SV-36246] Added String property "fieldIdentifier" for form fields (i.e. sv:textField, sv:singleSelectionField, sv:multipleSelectionField etc)
Public API
Improvements
- [SV-15507] Access to the Public API is now available in the "Best before" template of the site. Sites that was using the default template are now updated to the new API-based template. Sites that has customized the template code will keep using the customized code.
- [SV-39600] TextModuleCreator - added new utility to create text modules via Markdown data
- [SV-39600] TextModuleUpdater - added new utility to update text module content via Markdown data
- [SV-39622] ContentRenderer - added new utility to render page content with request parameters. This new utility makes html rendering of page content parts via OutputUtil obsolete
- [SV-39646] TextModuleRenderer - added convenience method to load text module using the "contentIdentifier" property
- [SV-39507] FileUtil and ImageUtil - added new copy methods to simplify duplication
Bug fixes
- [SV-39505] [SV-39506] FolderUtil - Members of a closed collaboration group could not create or rename a folder in the file archive of the group
- [SV-39518] TagUtil - Members of a closed collaboration group could not update tags for group files
- [SV-39541] Requester - status 504 will now be used (instead of 408) for requests that times out
REST API
Improvements
- [SV-39472] POST /semanticindex - added support for using sv:collaborationGroup as permission restriction for external RAG data
Bug fixes
- [SV-39786] GET /timelineentries - message property was incomplete for code blocks (2026.01.1.2)
RESTApps
Improvements
- [SV-39246] Field identifiers ("fieldIdentifier") are now included in the
sv:form:postSystem Event payload
WebApps, Widgets and RESTApps
Improvements
- [SV-39415] [SV-39486] Added support for multi-part data for user messages in the AI SDK (e.g. support to send text and/or image data)
- [SV-39431] Added support for the
data-placeholderattribute in the Sitevision Component "custom-selector" - [SV-35291] [SV-36353] Added built-in support for the
multipleattribute in the Sitevision Component "custom-selector" - [SV-39534] Added normalization of the file name for files that are uploaded to an app. File name now always uses NFC composition (Mac clients potentially sends files whose names are NFD compositioned)
Search
Improvements
- [SV-39439] Added support for Danish, Finnish and French as language for a custom sv:nodeIndex. The index language affects stopwords and the stemming rules
Envision
Improvements
- [ENV-347] Introduced a new UI body text font to complement the existing headline-focused UI fonts.
- [ENV-349] Introduced a new CTA button component with expanded configuration options and a clearer, more purposeful design for primary actions.
Bug fixes
- [ENV-348] Fixed an issue where line breaks in radio button labels could distort the visual shape of the radio button, ensuring consistent alignment and appearance.
Envision Theme refinements in Sitevision
- [SV-39571] Added settings in theme for new CTA button component.
Envision is an open source UI Library for Sitevision (MIT License)
- Envision documentation is available at https://envisionui.io
- Source is available at https://github.com/sitevision/envision